Package org.apache.sling.cms

## Interface CMSJobManager

    public interface CMSJobManager

An abstraction layer for starting and finding jobs started by the Sling CMS. Can be adapted from a SlingHttpServletRequest

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deleteJob​(String id)` Deletes the specified job.
`Collection<ConfigurableJobExecutor>` `getAvailableJobs()` Gets all of the jobs which can be executed.
`Collection<org.apache.sling.event.jobs.Job>` `getJobs()` Find all of the jobs started by this user.
`org.apache.sling.event.jobs.Job` `getSuffixJob()` Gets the job by id as passed in the Sling suffix.
`org.apache.sling.event.jobs.Job` `startJob()` Starts a new job based on the request.

### Method Detail

#### getAvailableJobs

    Collection<ConfigurableJobExecutor> getAvailableJobs()

Gets all of the jobs which can be executed.

Returns:
  the jobs which can be executed

#### getJobs

    Collection<org.apache.sling.event.jobs.Job> getJobs()

Find all of the jobs started by this user.

Returns:
  the jobs started by the user

#### getSuffixJob

    org.apache.sling.event.jobs.Job getSuffixJob()

Gets the job by id as passed in the Sling suffix.

Returns:
  the job

#### startJob

    org.apache.sling.event.jobs.Job startJob()

Starts a new job based on the request.

Returns:
  the job

#### deleteJob

    void deleteJob​(String id)

Deletes the specified job.

Parameters:
  `id` - the id of the job to delete